{add_js file='components/troubles/js/bootstrap.min.js'}
{add_js file='components/troubles/js/troubles.js'}
{add_css file='components/troubles/css/bootstrap.css'}
<link href="/components/troubles/css/css.css" rel="stylesheet" type="text/css" />

<div style="float:left"><h1 class="trouble_heading">{$trouble.title}</h1></div>
<div id="button_close_trouble" class="pull-right">
    {if $trouble.status && $is_admin}
        <button class="btn btn-info btn-xs" onclick="troubles.openTrouble({$trouble.id});"><i class="icon-arrow-right"></i> Открыть проблему</button>
    {else}
        {if $is_admin}
            <button onclick="troubles.sendEmail({$trouble.id});" class="btn btn-info btn-xs"><i class="icon-arrow-right"></i> Отправить email ({$trouble.send_emails})</button>
            <a href="/troubles/edit/{$trouble.seolink}.html" class="btn btn-info btn-xs"><i class="icon-arrow-right"></i> Редактировать</a>

        {/if}

    {/if}
</div>
 {if $trouble.status==1}
    <span id="span_closed" class="label label-danger">проблема закрыта</span>
{/if}
<div class="clear"></div>
<div class="trouble_list">
    <div id="trouble_point" style="float:right; width:50%;height: 300px;background: none repeat scroll 0 0 #fff;margin: 10px;"></div>  

    <p>{$trouble.description}</p>
    <div class="clear"></div>    


    {if $trouble.photos}
        <h3>К проблеме загружено {$trouble.photos|@count} фото:</h3>
        {foreach key=id item=photo from=$trouble.photos}            
            <div class="item">
                <img style="max-width: 400px;" src="{$photo.img}" alt="{$trouble.title}" >
            </div>
        {/foreach}
    {/if}    


    {if $trouble.video_code}
        <div class="trouble_video">
            <br />
            <iframe width="{$cfg.videow}" height="{$cfg.videoh}" src="//www.youtube.com/embed/{$trouble.video_code}" frameborder="0" allowfullscreen></iframe>    

        </div>
    {/if}
    <div class="clear"></div>   
    <div style="margin-top:30px;margin-bottom:50px"> 
        <p class="clearfix pull-right">

            <span class="tr_sp"><i class="icon-calendar"></i> {$trouble.fpubdate}</span>
            |  <a  class="tr_sp" href="/troubles/{$trouble.catseolink}"><i class="icon-forward"></i> {$trouble.cat_title}</a>  
            |  <span class="tr_comments"><i class="icon-comment"></i> {$trouble.comments}</span>  
            |  <span class="tr_plus" ><i class="icon-thumbs-up"></i> {$trouble.rates.pluscount}</span>  
            |  <span class="tr_minus"><i class="icon-thumbs-down"></i> {$trouble.rates.minuscount}</span>
            | <a  class="tr_sp" href="/users/{$trouble.user_login}"><i class="icon-male"></i> {$trouble.author}</a> {if $trouble.tags}| <i class="icon-tags"></i>Теги:{/if} 
            {foreach key=idd item=tag from=$trouble.tags}    
                <a href="/troubles/tag/{$tag.tag}"><span class="label label-info">{$tag.tag}</span></a>
                {/foreach}         

        </p>

    </div>
                
{if $trouble.forwho_title}                
<p>Отвечает за решение: {$trouble.forwho_title}
    {if $trouble.forwho_post}                
     ({$trouble.forwho_post})
    {/if}
</p>
{/if}
                
    <div class="clear"></div>
    {if $trouble.map_object}
        <br />
        Проблема привязана к объекту <a class="label label-warning" target="_blank" href="/maps/{$trouble.map_object.seolink}.html">{$trouble.map_object.title}</a>
    {/if}
    <hr />

    <h3>Поделиться:</h3>
    {if $user_id}
        <span id="btn-watch">
            {if $is_watched}
                <button class="btn btn-info pull-right" onclick="troubles.watching({$trouble.id}, '-1');
                return false;">Не следить за проблемой</button>
            {else}
                <button class="btn btn-info pull-right" onclick="troubles.watching({$trouble.id}, 1);
                return false;">Следить за проблемой</button>
            {/if}
        </span>
    {/if}
    <div class="pluso" data-background="transparent" data-options="big,square,line,horizontal,counter,theme=08" data-services="vkontakte,odnoklassniki,facebook,twitter,moimir"></div>

</div><div class="clear"></div>

<div class="clear"></div>

<hr />
{literal}
    <script type="text/javascript">(function() {
                if (window.pluso)
                    if (typeof window.pluso.start == "function")
                        return;
                if (window.ifpluso == undefined) {
                    window.ifpluso = 1;
                    var d = document, s = d.createElement('script'), g = 'getElementsByTagName';
                    s.type = 'text/javascript';
                    s.charset = 'UTF-8';
                    s.async = true;
                    s.src = ('https:' == window.location.protocol ? 'https' : 'http') + '://share.pluso.ru/pluso-like.js';
                    var h = d[g]('body')[0];
                    h.appendChild(s);
                }
            })();</script>
    {/literal}
    {literal}
    <script type="text/javascript">(function() {
            $('.carousel').carousel();
        })();</script>
    {/literal}


<br />    
<div class="row">
    <div class="col-xs-6 text-center">
        {if !$trouble.status}
            <button class="btn btn-success btn-xxl" onclick="{if $user_id}troubles.troubleAgree({$trouble.id});{else}core.alert('<br /><br /> Для этого действия вам нужно авторизоваться. Спасибо за понимание.<br /><br />'){/if}"><i class="icon-thumbs-up"></i> Поддерживаю</button>
        {else}
            <span class="btn btn-success btn-xxl" onclick="core.alert('<br /><br /> <div style=\'text-align:center\'>Проблема закрыта, голосовать уже поздно. Спасибо за понимание.</div><br /><br />')"><i class="icon-thumbs-up"></i> Поддерживали</span>
        {/if}
        <div id="users_agree">
            {foreach item=plus from=$trouble.rates.plus}        
                <span id='trouble_user_{$plus.id}'><a class='ava' href='/users/{$plus.login}'><img title='{$plus.nickname}' alt='{$plus.nickname}' src='{$plus.imageurl}'></a></span>        
                    {/foreach}
        </div>
    </div>
    <div class="col-xs-6 text-center">
        {if !$trouble.status}
            <button class="btn btn-danger btn-xxl" onclick="{if $user_id}troubles.troubleDisagree({$trouble.id});{else}core.alert('<br /><br /> Для этого действия вам нужно авторизоваться. Спасибо за понимание.<br /><br />'){/if}"><i class="icon-thumbs-down"></i> Не согласен</button>
        {else}
            <span class="btn btn-danger btn-xxl" onclick="core.alert('<br /><br /> <div style=\'text-align:center\'>Проблема закрыта, голосовать уже поздно. Спасибо за понимание.</div><br /><br />')"><i class="icon-thumbs-up"></i> Не согласны</span>
        {/if}


        <div id="users_disagree">
            {foreach item=minus from=$trouble.rates.minus}        
                <span id='trouble_user_{$minus.id}'><a class='ava' href='/users/{$minus.login}'><img title='{$minus.nickname}' alt='{$minus.nickname}' src='{$minus.imageurl}'></a></span>        
                    {/foreach}
        </div>
    </div>
</div>    
<hr /><br />


<link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.css" />
<!--[if lte IE 8]>
    <link rel="stylesheet" href="http://cdn.leafletjs.com/leaflet-0.7.7/leaflet.ie.css" />
<![endif]-->
<script src="http://cdn.leafletjs.com/leaflet/v0.7.7/leaflet.js"></script>

{if $provider=='yandex_map' 
|| $provider=='yandex_publicMap'
|| $provider=='yandex_satellite'
|| $provider=='yandex_hybrid'
|| $provider=='yandex_publicMapHybrid'
}
<script src="http://api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU"  type="text/javascript"></script>
<script type="text/javascript" src="/components/troubles/js/yandex.js"></script>                
<script>
        var type = "{$provider}";
        type = type.substring(7);

        var map = L.map('trouble_point').setView([{$trouble.lat},{$trouble.lng}], 14);
        var Yandex = new L.Yandex(type);
        map.addLayer(Yandex);
        var myIcon = L.icon({ldelim}iconSize: [32, 37],shadowSize: [32, 37],shadowAnchor: [16, 37],iconAnchor: [16, 37],iconUrl: '/components/troubles/images/markers/{if $trouble.marker}{$trouble.marker}{else}2-default.png{/if}'{rdelim});

        L.marker([{$trouble.lat}, {$trouble.lng}], {ldelim}icon: myIcon{rdelim}).addTo(map);
//        L.marker([{$trouble.lat}, {$trouble.lng}]).addTo(map);

</script>


{elseif  $provider=='2gis'}
    <script src="http://maps.api.2gis.ru/1.0"></script>
    <script type="text/javascript" src="/components/troubles/js/dgis.js"></script>                
    <script>
        var map = L.map('trouble_point').setView([{$trouble.lat},{$trouble.lng}], 14);
        var dgis = new L.DGis();
        map.addLayer(dgis);
        var myIcon = L.icon({ldelim}iconSize: [32, 37],shadowSize: [32, 37],shadowAnchor: [16, 37],iconAnchor: [16, 37],iconUrl: '/components/troubles/images/markers/{if $trouble.marker}{$trouble.marker}{else}2-default.png{/if}'{rdelim});
        L.marker([{$trouble.lat}, {$trouble.lng}], {ldelim}icon: myIcon{rdelim}).addTo(map);
    </script>

    {elseif  $provider=='osm'}
        <script language="JavaScript" type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
        {literal}
            <script>
                var map = L.map('trouble_point').setView([{/literal}{$trouble.lat},{$trouble.lng}{literal} ], 14);
                L.tileLayer('http://{s}.tile.osm.org/{z}/{x}/{y}.png', {
                    attribution: '&copy; <a href="http://osm.org/copyright">OpenStreetMap</a> contributors'
                }).addTo(map);

            {/literal}
                var myIcon = L.icon({ldelim}iconSize: [32, 37],shadowSize: [32, 37],shadowAnchor: [16, 37],iconAnchor: [16, 37],iconUrl: '/components/troubles/images/markers/{if $trouble.marker}{$trouble.marker}{else}2-default.png{/if}'{rdelim});
                L.marker([{$trouble.lat}, {$trouble.lng}], {ldelim}icon: myIcon{rdelim}).addTo(map);
            {literal}            
            </script>
        {/literal}   
        {elseif  $provider=='google'}
            <script language="JavaScript" type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
            <script type="text/javascript" src="/components/troubles/js/google.js"></script>                
            <script>
                var map = L.map('trouble_point').setView([{$trouble.lat},{$trouble.lng}], 14);
                var ggl = new L.Google("ROADMAP");
                map.addLayer(ggl);
                var myIcon = L.icon({ldelim}iconSize: [32, 37],shadowSize: [32, 37],shadowAnchor: [16, 37],iconAnchor: [16, 37],iconUrl: '/components/troubles/images/markers/{if $trouble.marker}{$trouble.marker}{else}2-default.png{/if}'{rdelim});
                
                L.marker([{$trouble.lat}, {$trouble.lng}], {ldelim}icon: myIcon{rdelim}).addTo(map);
            </script>
            {/if}
